#!/bin/bash

SOURCE="${BASH_SOURCE[0]}"
while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file is no longer a symlink
  DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"
  SOURCE="$(readlink "$SOURCE")"
  [[ $SOURCE != /* ]] && SOURCE="$DIR/$SOURCE" # if $SOURCE was a relative symlink, we need to resolve it relative to the path where the symlink file was located
done
DIR="$( cd -P "$( dirname "$SOURCE" )" && pwd )"

rm -rf $DIR/voms-clients/etc/certificates
mkdir $DIR/voms-clients/etc/certificates
for link in `lynx -dump http://repository.egi.eu/sw/production/cas/1/current/tgz/ | grep -o 'http.*ca_.*tar.gz'` ; do wget -P $DIR "$link"; done

for a in `ls -1 $DIR/*.tar.gz`; do tar -zxvf $a -C $DIR; done
rm $DIR/*.tar.gz
cp $DIR/ca*/* $DIR/voms-clients/etc/certificates/
rm -rf $DIR/ca*

